import funciones as f 
#codigo principal subdividido en los modulos de actuacion.
#a este codigo es al que accede interfaz
def preparacion(pasillo, alt):
	#variable para determinar si el inventario es inicial(comienzo ese pasillo) 
	#o no lo es
	pasillo = str(pasillo)
	alt = str(alt)
	control_1 = f.datos_pasillo(pasillo, alt)
	if(control_1 == False):
		f.crear_buffer(pasillo, 'inicio', '---')

def m_lectura(pasillo, opcion, N):
	N = int(N)
	opcion = str(opcion)
	modos_operacion = { '1' : f.lectura_normal, '2' : f.lectura_multiple, '3' : f.lectura_hueco, '4' : f.lectura_sobrealtura}
	if (opcion == '1' or opcion == '2' or opcion == '3'):
		modos_operacion[opcion](N, str(pasillo))
	else:
		import funciones_aux as fa
		nombre = 'Docs/datospasillo/'+str(pasillo)+'.txt'
		alt_maxima = fa.lectura_fichero(nombre, 'ninguno')
		print(alt_maxima)
		alt_maxima = alt_maxima[0]
		print(alt_maxima)
		alt_maxima = alt_maxima[0]
		print(alt_maxima)
		if(modos_operacion[opcion](N, str(pasillo), str(alt_maxima))):
			return True
		else:
			return False

def movimientos(pasillo, opcion):
	lectura = ' ' #se necesita que la lectura sea al menos un hueco vacio
	pasillo = str(pasillo)
	modos = {'avance' : f.avance, 'retroceso' : f.retroceso}
	modos[opcion](pasillo, lectura)
